import os
import logging


def init():
    business_key = os.getenv('BUSINESS_KEY')
    logging.basicConfig(
        level=logging.DEBUG,
        format=f"%(asctime)s.%(msecs)03d [{business_key}] [%(levelname)s] %(name)s:%(filename)s:%(lineno)s - %(message)s",
        datefmt='%Y-%m-%dT%H:%M:%S',
    )


def set_logger_formatter(request_id: str):
    """
    日志输出增加request_id
    :param request_id: 请求id
    :return:
    """
    logger = logging.getLogger()
    handlers = logger.handlers
    formatter = logging.Formatter(
        f"%(asctime)s.%(msecs)03d [%(levelname)s] <{request_id}> [][]%(name)s:%(filename)s:%(lineno)s - %(message)s",
        datefmt='%Y-%m-%dT%H:%M:%S')
    for handler in handlers:
        handler.setFormatter(formatter)
